<template>
  <div class="container">
    {{ sectionChinese }}、{{ examQuestion.groupName }}（{{
      examQuestion.groupOrder
    }}
    / {{ examQuestion.groupTotal }}）
  </div>
</template>

<script>
import { toChineseNumber } from "@/utils/util";

export default {
  name: "QuestionIndex",
  props: {
    examQuestion: {
      type: Object,
      default() {
        return {};
      },
    },
  },
  computed: {
    sectionChinese() {
      return toChineseNumber(this.examQuestion.mainNumber);
    },
  },
};
</script>

<style scoped>
.container {
  font-size: 28px;
  padding-left: 10px;
}
</style>
